# Záchranná úloha: Plánovač CPU

### Zadanie
Úlohou je naprogramovať program, ktorý bude vypisovať na **stdout** aktuálny proces, ktorý sa práve nachádza na procesore, dobu, ktorú už strávil na procesore a celkovú dobu trvania.

Procesy sú plánované pomocou **Round Robin algoritmu** (popísaný nižšie).
V kostre sa nachádza časové kvantum, ktoré je prideľované procesom a s ktorým v tejto úlohe treba pracovať.

### Vstupné argumenty
1. cesta k **textovému** súboru, obsahujúci procesy a ich dobu trvania

### Formát vstupu

Vstup sa nachádza vo formáte:

`<meno tasku> <doba trvania>`

a môže byť **nekonečne** dlhý.

### Formát výstupu

Pri časovom kvante nastavenom na 5 a vstupnom súbore obsahujúcom iba "Task1 5" je očakávaný (približný) výstup:

`Task1 1/5`\
`Task1 2/5`\
`Task1 3/5`\
`Task1 4/5`\
`Task1 5/5`

### Round Robin algoritmus

Každý proces dostáva CPU na malú jednotku času - časové kvantum.

Po uplynutí tejto doby je bežiaci proces predbehnutý najstarším procesom vo fronte pripravených procesov a zaraďuje sa na koniec tejto fronty.

### Očakávané chovanie
- Formát výstupu je na vás
- Očakáva sa korektná práca s pamäťou
- Vstupný súbor môže mať potenciálne **nekonečne** veľa riadkov
- Výpis sa deje na začiatku tiku
- Ak niečo nie je jasné zo zadania, tak je chovanie na vás